<!DOCTYPE html>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>NFL DataTable </title>
<!-- 
	Add JavaScript -- specifically jQuery and the data-table plugin
	https://www.datatables.net/examples/basic_init/zero_configuration.html
	also link to style for jquery data-tables
  --> 
<script src="http://code.jquery.com/jquery-1.11.1.min.js"></script>
<script src="http://cdn.datatables.net/1.10.7/js/jquery.dataTables.min.js"></script>
<link rel="StyleSheet" href="http://cdn.datatables.net/1.10.7/css/jquery.dataTables.css" type="text/css" />
<script src="http://www.appelsiini.net/projects/jeditable/jquery.jeditable.js" type="text/javascript" charset="utf-8"></script>
<script>
//(document).ready is the jquery method for when the page is loaded 
$(document).ready(function() {
	
	//give the element with the id of data_table the DataTable functionality
	//note that the table in question should use <thead> and <tbody>
    $('#data_table').DataTable();  
	
}); //end document ready 

</script>
</head>

<body>
<h1>NFL DataTable </h1>
<table border='1' id='data_table'>
<thead>
<th>City</th>
<th>Team Name</th>
<th>Conference</th>
<th>Division</th>
<th>Coach</th>
</thead>
<tbody>
<?php

$file_contents = file_get_contents("NFL.json");
$JSON = json_decode($file_contents);

foreach ($JSON->NFL as $aTeam)
{
	echo "\n<tr>";
	echo "<td>" . $aTeam->City . "</td>";
	echo "<td>" . $aTeam->TeamName . "</td>";
	echo "<td>" . $aTeam->Conference. "</td>";
	echo "<td>" . $aTeam->Division . "</td>";
	echo "<td>" . $aTeam->Coach . "</td>";	
	echo "</tr>";
}


?>
</tbody>
</table>;

</body>
</html>